package com.qmth.teachcloud.mark.dto.mark.setting;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;

import java.util.List;

public class MarkGroupTaskDto {

    @JsonSerialize(using = ToStringSerializer.class)
    private Long examId;
    private String paperNumber;
    private List<MarkGroupDto> groups;
    private Boolean openMarkClass;
    private Boolean openDoubleMarking;

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public String getPaperNumber() {
        return paperNumber;
    }

    public void setPaperNumber(String paperNumber) {
        this.paperNumber = paperNumber;
    }

    public List<MarkGroupDto> getGroups() {
        return groups;
    }

    public void setGroups(List<MarkGroupDto> groups) {
        this.groups = groups;
    }

    public Boolean getOpenMarkClass() {
        return openMarkClass;
    }

    public void setOpenMarkClass(Boolean openMarkClass) {
        this.openMarkClass = openMarkClass;
    }

    public Boolean getOpenDoubleMarking() {
        return openDoubleMarking;
    }

    public void setOpenDoubleMarking(Boolean openDoubleMarking) {
        this.openDoubleMarking = openDoubleMarking;
    }
}
